{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/datatables/datatables.min.css' %}">
{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Layanan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_services_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Layanan</button>
    </a>

    <div class="card shadow mb-5">
        <div class="card-body">
            <div class="table-responsive py-3">
                <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                    <thead class="bg-info text-white">
                        <tr>
                            <th scope="col" class="text-center">#</th>
                            <th scope="col" class="text-center">Judul</th>
                            <th scope="col" class="text-center">Keterangan</th>
                            <th scope="col" class="text-center">Icon</th>
                            <th scope="col" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for dt in services %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td>{{ dt.judul }}</td>
                                <td>{{ dt.keterangan | truncatewords:6 }}</td>
                                <td class="text-center"><i class="{{ dt.icon }}"></i></td>
                                <td class="text-center">
                                    <a class="btn btn-success btn-circle" 
                                        href="{% url 'profile:admin_services_edit' id=dt.id %}"
                                        data-toggle="tooltip" data-placement="top" title="Edit">
                                        <i class="bi bi-pencil"></i>
                                    </a>
                                    <button class="btn btn-danger btn-circle" 
                                        data-url="{% url 'profile:admin_services_delete' id=dt.id %}"
                                        data-back="{% url 'profile:admin_services' %}"
                                        onclick="delete_data(this)"
                                        data-toggle="tooltip" data-placement="top" title="Delete">
                                        <i class="bi bi-trash"></i>
                                    </button>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable({
                responsive: true,
            });
        });

        function delete_data(e){
            Swal.fire({
                    title: 'Apakah anda yakin ingin menghapus data?',
                    icon : 'question',
                    showCancelButton: true,
                    confirmButtonText: 'Hapus',
                    cancelButtonText: 'Batal',
                }).then((result) => {
                if (result.isConfirmed) {
                    $.ajax({
                        url: $(e).attr('data-url'),
                        data: {},
                        dataType: "json",
                        timeout: 10000,
                        beforeSend: function() {
                            Swal.fire({
                                title: 'Memproses.........',
                                allowEscapeKey: false,
                                allowOutsideClick: false,
                                showCancelButton: false,
                                showConfirmButton: false,
                            });
                            Swal.showLoading();
                        },
                        success: function(response){
                            if(response.message == 'error'){
                                Swal.fire('Hapus data GAGAL dilakukan!', '', 'error');
                            }else{
                                Swal.fire('Hapus data BERHASIL dilakukan!', '', 'success');
                                setTimeout(function(){ 
                                    window.location.href = $(e).attr('data-back');
                                }, 2000); 
                            }
                            
                        },
                        error: function (response, xhr, ajaxOptions, thrownError) {
                            console.log(response);
                            Swal.fire('Hapus data GAGAL dilakukan!', '', 'error');
                        }
                    });
                    
                }
            });
        };
        
    </script>
{% endblock scripts_bawah %}